%define anolis_release 30
%define mod_name Authen-SASL

Name:           perl-%{mod_name}
Version:        2.16
Release:        %{anolis_release}%{?dist}
Summary:        Perl library for performing SASL authentication
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/%{mod_name}-%{version}.tar.gz

Patch0:         0001-%{mod_name}-RT85294-Fix-WRITE.patch

BuildArch:      noarch

BuildRequires:  make coreutils
BuildRequires:  perl(warnings) perl(strict) perl-interpreter perl-generators
BuildRequires:  perl(Module::Install::WriteAll) perl(Module::Install::Metadata) perl(Module::Install::Makefile) perl(inc::Module::Install)
BuildRequires:  perl(vars) perl(Tie::Handle) perl(GSSAPI) perl(Digest::MD5) perl(Digest::HMAC_MD5) perl(Carp) perl(bytes)
BuildRequires:  perl(Test::More) perl(FindBin)

Requires:       perl(Tie::Handle)

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all
protocols should be able to share.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{mod_name}-%{version}
rm -r inc
perl -i -ne 'print $_ unless m{^inc/}' MANIFEST
chmod -c a-x example_pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes api.txt example_pl

%changelog
* Tue Apr 11 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 2.16-30
- optimise spec file

* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 2.16-29
- Import package for anolis 23
